<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Diplom</title>
	<!-- <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script> -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" type="text/css" media="screen" href="./style/main.css">
	<script src="https://redom.js.org/redom.min.js"></script>
	<link rel="stylesheet" href="https://unpkg.com/spectre.css/dist/spectre.min.css">
	<link rel="stylesheet" href="https://unpkg.com/spectre.css/dist/spectre-exp.min.css">
	<link rel="stylesheet" href="https://unpkg.com/spectre.css/dist/spectre-icons.min.css">
</head>
<body>
	<ul class="tab tab-block mainnav">
		
	</ul>

	<main class="p-2">
        
    </main>
    
    <div class="modal modal-lg">
        <a href="#close" class="modal-overlay" aria-label="Close"></a>
        <div class="modal-container">
          <div class="modal-header">
            <a href="#close" id="modalclose" class="btn btn-clear float-right" aria-label="Close"></a>
            <div class="modal-title h5">Modal title</div>
            <div class="input-group space">
                <input class="form-input my-2 compname" placeholder="Название">
            </div>
          </div>
          <div class="modal-body">
            <div class="content">

            </div>
          </div>
          <div class="modal-footer">
            
          </div>
        </div>
    </div>

	<div class="content d-flex loading loading-lg loading_layer"></div>
</body>

<script src="./script/constants.js"></script>
<script src="./script/questions.js"></script>
<script src="./script/auth.js"></script>
<script src="./script/createcard.js"></script>
<script src="./script/tabs.js"></script>
<script src="./script/registration_tab.js"></script>
<script src="./script/allbuilds.js"></script>
<script src="./script/contructor.js"></script>
<script src="./script/cordsbuild.js"></script>
<script src="./script/setpermission.js"></script>
<script>

	var prevTab = 0;
	const main = document.querySelector('main');
    const loadLayer = document.querySelector('.loading_layer');

    
	loadLayer.classList.add('loading');
	loadLayer.classList.add('loading-lg');
    loadLayer.classList.add('loading_layer');

    const mainnav = document.querySelector('.mainnav');
    build(main);

	setTimeout(async () => {
        let user = await tabinit(mainnav);

        const method = 'getallbuilds';
        const session = getCookie('pcbuilduser');
        const body = JSON.stringify( { session, method });
        const allbuilds = await $api(body);

		for (let i = 0; i < tabs.length; i++) {
		tabs[i].addEventListener('click', () => {
			aTabs[prevTab].classList.remove('active');
			aTabs[i].classList.add('active');
			prevTab = i;
			
			switch (i) {
				case 0:
					build(main);
					break;
				case 1:
                    contruct(main);
					break;
				case 2:
					$getallbuilds(main, allbuilds);
					break;
				case 3:
                    if ( user && aTabs.length == 4) setPermission(main);
                    else if ( !user ) registration(main)
                    else () => {};
					break;
                default:
					break;
				}
			});
		}

		loadLayer.classList.remove('loading');
		loadLayer.classList.remove('loading-lg');
		loadLayer.classList.remove('loading_layer');
	}, 1000);
	
</script>
</html>